package com.ruoyi.erp.request;

import com.alibaba.fastjson2.JSONObject;

/**
 * 删除商品请求
 *
 * 对应接口：POST /api/open/product/delete
 */
public class ProductDeleteRequest extends ERPRequestBase {
	public ProductDeleteRequest(IERPAccount erpAccount) {
		super("https://open.goofish.pro/api/open/product/delete", erpAccount);
	}

	public void setProductId(long productId) {
		ensureBody();
		this.requestBody.put("product_id", productId);
	}

	private void ensureBody() {
		if (this.requestBody == null) this.requestBody = new JSONObject();
	}
}


